/**
 *********************************************************************************
 * Interface to the JTAG Tap state machine
 *********************************************************************************
 */
#include <stdint.h>
typedef void JTAG_CaptureDR(void *owner,uint8_t **data,int *len); 
typedef void JTAG_CaptureIR(void *owner,uint8_t **data,int *len); 
typedef void JTAG_UpdateIR(void *owner); 
typedef void JTAG_UpdateDR(void *owner); 

typedef struct JTAG_Operations {
	JTAG_CaptureDR	 *captureDR;
	JTAG_CaptureIR	 *captureIR;
	JTAG_UpdateDR	 *updateDR;
	JTAG_UpdateIR	 *updateIR;
} JTAG_Operations;

void JTagTap_New(const char *name,JTAG_Operations *jtagOps,void *owner);
